package com.icomsys.main_vm.db.mybatis.mapper;

import com.icomsys.main_vm.db.mybatis.alias.MonitoringOutscenarioVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface MonitoringOutscenarioMapper {
    List<HashMap> selectOutscenarioList(MonitoringOutscenarioVO vo);
    int selectOutscenarioListCnt(MonitoringOutscenarioVO vo);

    int selectOutscenarioCnt(MonitoringOutscenarioVO vo);

    List<HashMap> selectScenarioNameList(MonitoringOutscenarioVO vo);
    List<String> selectTokenListByScenario(MonitoringOutscenarioVO vo);
    List<HashMap> selectCallListByScenario(MonitoringOutscenarioVO vo);
}
